LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07830Feature requests[All Projects] RemoteControlpublic2013-05-13 09:242013-06-09 15:54
Reporterbebs 
Assigned Totrougakoss 
PrioritynormalSeverityfeature 
StatusassignedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary07830: add "question code" to result of remote controls' list_questions'
DescriptionThe return array of list_questions contains qid, language, type and question (for the given language).
Please add question code to make it useful.

Array (
  [id] => Array (
      [qid] => 11263
      [language] => fr
  )
  [type] => L
  [question] => Quelle est votre tranche d'├óge?
)

$q = $myJSONRPCClient->list_questions($sessionKey, $survey_id, null, "fr");
print("list_questions:\n");
print_r($q);
Additional Informationsample code:

$q = $myJSONRPCClient->list_questions($sessionKey, $survey_id, null, "fr");
print("list_questions:\n");
print_r($q);

TagsNo tags attached.
Attached Files? file icon limesurvey_survey_73983.lss [^] (57,680 bytes) 2013-05-13 09:24

- Relationships

-  Notes
User avatar (25238)
Mazi (developer)
2013-05-14 12:11

trougakoss, can you extend this a little or would it take more than a few minutes to add that?
User avatar (25239)
trougakoss (developer)
2013-05-14 12:29

I will extend it of course.
It will take just a few minutes and you will have it as soon as possible.
I presume that we need the 'title' attribute.
So the expected result will be something like that :
 array(4) {
    ["id"]=>
    array(2) {
      ["qid"]=>
      string(4) "1635"
      ["language"]=>
      string(2) "el"
    }
    ["title"]=>
    string(5) "1"
    ["type"]=>
    string(1) "L"
    ["question"]=>
    string(37) "What is your name?"
  }
User avatar (25241)
trougakoss (developer)
2013-05-14 12:43

A pull request is already there.
I will merge it by tonight!
User avatar (25244)
DenisChenu (developer)
2013-05-14 14:10

I upadte it to severity : feature to have the vote ;)
User avatar (25263)
trougakoss (developer)
2013-05-15 08:47

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12428 [^]
User avatar (25326)
bebs (reporter)
2013-05-21 15:12

thanks!
User avatar (25482)
trougakoss (developer)
2013-06-09 15:54

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12535 [^]

- Related Changesets
LimeSurvey: master bc3fe2ae
Timestamp: 2013-05-14 10:40:56
Author: trougakoss
Committer: trougakoss
Details ] Diff ]
Fixed Issue 07830: add question code to result of remote controls list_questions
mod - application/controllers/admin/remotecontrol.php Diff ] File ]
LimeSurvey: 2.05 59643154
Timestamp: 2013-05-14 10:40:56
Author: trougakoss
Committer: Carsten Schmitz
Details ] Diff ]
Fixed Issue 07830: add question code to result of remote controls list_questions
mod - application/controllers/admin/remotecontrol.php Diff ] File ]
LimeSurvey: master 59bd7960
Timestamp: 2013-05-15 06:47:23
Author: trougakoss
Committer: trougakoss
Details ] Diff ]
Merge pull request #79 from trougakoss/Yii

Fixed Issue 07830: add question code to result of remote controls list_q...
mod - application/controllers/admin/remotecontrol.php Diff ] File ]

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: DenisChenu
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-05-13 09:24 bebs New Issue
2013-05-13 09:24 bebs File Added: limesurvey_survey_73983.lss
2013-05-14 12:10 Mazi Assigned To => trougakoss
2013-05-14 12:10 Mazi Status new => assigned
2013-05-14 12:11 Mazi Note Added: 25238
2013-05-14 12:29 trougakoss Note Added: 25239
2013-05-14 12:43 trougakoss Note Added: 25241
2013-05-14 14:09 DenisChenu Severity @50@ => feature
2013-05-14 14:10 DenisChenu Note Added: 25244
2013-05-15 08:47 trougakoss Changeset attached => LimeSurvey master bc3fe2ae
2013-05-15 08:47 trougakoss Changeset attached => LimeSurvey master 59bd7960
2013-05-15 08:47 trougakoss Note Added: 25263
2013-05-15 08:47 trougakoss Resolution open => fixed
2013-05-21 15:12 bebs Note Added: 25326
2013-06-09 15:54 trougakoss Changeset attached => LimeSurvey 2.05 59643154
2013-06-09 15:54 trougakoss Note Added: 25482


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker